Skip to main content
GET
/
objects
/
{key}
Get Object Schema by key / id
curl --request GET \
  --url https://services.leadconnectorhq.com/objects/{key} \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "cache": true,
  "object": {
    "id": "661c06b4ffde146bdb469442",
    "standard": false,
    "key": "custom_objects.pet",
    "labels": {
      "singular": "Pet",
      "plural": "Pets"
    },
    "locationId": "Q9DT3OAqEXDLYuob1G32",
    "primaryDisplayProperty": "custom_objects.pet.name",
    "dateAdded": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "description": "These are non vaccinated pets",
    "type": "The Object type can either USER_DEFINED or SYSTEM_DEFINED"
  },
  "fields": [
    {
      "locationId": "ve9EPM428h8vShlRW1KT",
      "showInForms": true,
      "id": "<string>",
      "objectKey": "custom_object.pet",
      "dataType": "TEXT",
      "parentId": "3v34PM428h8vShlRW1KT",
      "fieldKey": "custom_object.pet.name",
      "dateAdded": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "name": "Name",
      "description": "<string>",
      "placeholder": "<string>",
      "options": [
        {
          "key": "<string>",
          "label": "<string>",
          "url": "<string>"
        }
      ],
      "acceptedFormats": ".pdf",
      "allowCustomOption": true,
      "maxFileLimit": 2
    }
  ]
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-07-28

Path Parameters

key
string
required

key of the custom or standard object. For custom objects, the key must include the prefix “custom_objects.”. This key can be found on the Object Details page under Settings in the UI.

Example:

"custom_objects.pet"

Query Parameters

locationId
string
required

location id of the sub account

Example:

"632c34b4c9b7da3358ac9891"

fetchProperties
string

Fetch Properties , Fetches all the standard / custom fields of the object when set to true

Example:

true

Response

Successful response

cache
boolean
required

Is the response served from cache

Example:

true

object
object
fields
object[]
Last modified on March 4, 2026